Subject: [secdir] secdir review of draft-ietf-openpgp-camellia-04

From: Jeffrey Hutzelman <[email-masked]>
Date: Mon, 30 Mar 2009 13:51:13 -0400

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

Abstract:
   This document presents the necessary information to use the Camellia
   symmetric block cipher in the OpenPGP protocol.

Camellia is described in RFC3713, OpenPGP in RFC4880.  Pretty much all this 
document does is allocate the algorithm identifiers required to use 
Camellia in OpenPGP.  It also calls out potential interoperability issues 
related to choosing a symmetric cipher for use in an OpenPGP message, and 
has a reasonable security considerations section suggesting steps to be 
taken when choosing an encryption algorithm.

I see no problems with this document.

-- Jeff